
From: Arnd Bergmann <arnd@arndb.de>

Enable basic profiling code on s390 depending on CONFIG_PROFILING, not
CONFIG_OPROFILE.

CONFIG_PROFILING should enable the generic profiling code here, even if
CONFIG_OPROFILE is not set.  Note that the identical code on i386 is always
compiled in, regardless of CONFIG_PROFILING and CONFIG_OPROFILE.


---

 25-akpm/arch/s390/kernel/time.c    |    4 ++--
 25-akpm/arch/s390/oprofile/Kconfig |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/s390/kernel/time.c~s390-oprofile-config-cleanup arch/s390/kernel/time.c
--- 25/arch/s390/kernel/time.c~s390-oprofile-config-cleanup	Thu Apr 29 15:56:38 2004
+++ 25-akpm/arch/s390/kernel/time.c	Thu Apr 29 15:56:38 2004
@@ -179,7 +179,7 @@ __calculate_ticks(__u64 elapsed)
 #endif /* CONFIG_ARCH_S390X */
 
 
-#if defined(CONFIG_OPROFILE) || defined(CONFIG_OPROFILE_MODULE)
+#ifdef CONFIG_PROFILING
 extern char _stext, _etext;
 
 /*
@@ -223,7 +223,7 @@ static inline void s390_do_profile(struc
 }
 #else
 #define s390_do_profile(regs)  do { ; } while(0)
-#endif /* CONFIG_OPROFILE */
+#endif /* CONFIG_PROFILING */
 
 
 /*
diff -puN arch/s390/oprofile/Kconfig~s390-oprofile-config-cleanup arch/s390/oprofile/Kconfig
--- 25/arch/s390/oprofile/Kconfig~s390-oprofile-config-cleanup	Thu Apr 29 15:56:38 2004
+++ 25-akpm/arch/s390/oprofile/Kconfig	Thu Apr 29 15:56:38 2004
@@ -5,8 +5,8 @@ menu "Profiling support"
 config PROFILING
 	bool "Profiling support (EXPERIMENTAL)"
 	help
-	  Say Y here to enable the extended profiling support mechanisms used
-	  by profilers such as OProfile.
+	  Say Y here to enable profiling support mechanisms used by
+	  profilers such as readprofile or OProfile.
 
 
 config OPROFILE

_
